## debian-dir 0.0.7

=== Makefile ===
PACKAGE=debian-dir

all:

install-dirs:
	install -d $(DESTDIR)/usr/share/$(PACKAGE)

install: install-dirs
	for file in make.inc  perl.inc  shell.inc; do \
		install $$file $(DESTDIR)/usr/share/$(PACKAGE)/ ; \
	done

## debian-dir 0.0.6

=== debian/changelog ===
debian-dir (0.0.6) unstable; urgency=low

  * Fixes: NB#46690 debian/copyright: Only GPL2 supported,
    not GPL2 or later.

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 29 Nov 2006 15:37:08 +0200

debian-dir (0.0.5) unstable; urgency=low

  * Included completed copyright info. Fixes: NB#46690

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed,  8 Nov 2006 09:26:39 +0200

debian-dir (0.0.4) unstable; urgency=low

  * fixed own build using DEBIAN_DIR 

 -- Yauheni Kaliuta <y.kaliuta@gmail.com>  Thu, 13 Apr 2006 17:47:16 +0300

debian-dir (0.0.3) unstable; urgency=low

  * Fixed global variable for perl require 

 -- Yauheni Kaliuta <y.kaliuta@gmail.com>  Thu, 13 Apr 2006 14:03:22 +0300

debian-dir (0.0.2) unstable; urgency=low

  * Added Makefile 

 -- Yauheni Kaliuta <y.kaliuta@gmail.com>  Thu, 13 Apr 2006 12:35:54 +0300

debian-dir (0.0.1) unstable; urgency=low

  * Initial revision 

 -- Yauheni Kaliuta <y.kaliuta@gmail.com>  Thu, 13 Apr 2006 12:35:23 +0300

=== debian/control ===
Source: debian-dir
Section: utils
Priority: optional
Build-Depends: debhelper (>= 4.2)
Maintainer: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
Standards-Version: 3.6.1

Package: debian-dir
Architecture: all
Depends: ${misc:Depends}
Priority: extra
Description: Set of includes to define debian directory
 To build debian packages debian build tools use a debian/ directory
 to search build information. This is a set of includes for different
 languages to define DEBIAN_DIR variable according to state of the
 DEBIAN_DIR environment variable and existence of the directory

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=debian-dir
DEBIAN_DIR ?= debian


build: 

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: install-arch install-indep

install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i

	make DESTDIR=$(CURDIR)/$(DEBIAN_DIR)/$(PACKAGE) install

install-arch: 

# Build architecture-independent files here.
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install-arch


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## debian-dir 0.0.7

=== debian/changelog ===
debian-dir (0.0.7) unstable; urgency=low

  * Add a copy of the GPL to the source package.
    Fixes: NB#46690 (3rd time!!!)
    Thanks to Maemo Integration <integration@maemo.org>

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun, 31 Dec 2006 15:32:24 +0200
